//
// IMapperService.cs - Service Interface
//

using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace WcfMapper
    {
    [ServiceContract(Namespace="http://www.nyangau.org/jmsadapter/mapper")]
    public interface IMapperService
        {
        [OperationContract]
        ArrayOfString map(string mapName, ArrayOfString unmapped);
        }
    [CollectionDataContract(ItemName="string", Namespace="http://www.nyangau.org/jmsadapter/mapper")]
    public class ArrayOfString : List<string> { }
    }
